@ECHO OFF

IF "%1" == "" GOTO DefaultsMenu
IF "%1" == "1280" GOTO R1280
IF "%1" == "1440" GOTO R1440
IF "%1" == "1600" GOTO R1600
IF "%1" == "1680" GOTO R1680
IF "%1" == "1920" GOTO R1920
IF "%1" == "uni" GOTO UNI

:DefaultsMenu
    CALL scripts\getRESO.cmd
    CLS
    ECHO.&ECHO.
    ECHO  DaimonUI3 Setup 
    ECHO.
    ECHO     Choose the resolution you use to play
    ECHO     The Lord of the Rings ONLINE (width).
    ECHO    ----------------------------
    ECHO     Current resolution: %RESO%
    ECHO    ----------------------------
    ECHO        [1] 1280w   [4] 1680w
    ECHO        [2] 1440w   [5] 1920w
    ECHO        [3] 1600w   [M] More
    ECHO        ---------------
    ECHO        [B] Back
    ECHO.&ECHO.&ECHO.
    SET OPTION=
    SET /P OPTION=   Command : 
    IF NOT '%OPTION%'=='' SET OPTION=%OPTION:~0,1%
    IF '%OPTION%'=='1' GOTO R1280
    IF '%OPTION%'=='2' GOTO R1440
    IF '%OPTION%'=='3' GOTO R1600
    IF '%OPTION%'=='4' GOTO R1680
    IF '%OPTION%'=='5' GOTO R1920
    IF '%OPTION%'=='m' GOTO More
    IF '%OPTION%'=='M' GOTO More
    IF '%OPTION%'=='b' GOTO MainMenu
    IF '%OPTION%'=='B' GOTO MainMenu
GOTO DefaultsMenu

:More
    IF EXIST scripts\moreDefaults.cmd (
        CALL scripts\moreDefaults.cmd
        GOTO MainMenu
        ) ELSE (
            CLS
            ECHO.&ECHO.
            ECHO This options is currently unavailable.
            PAUSE
            GOTO DefaultsMenu
            )

:R1280
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1280.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd common
    COPY /Y SkinDefinition.tmp SkinDefinition.xml.1280
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1280.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd mini
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    DEL ????.res
    DEL ..\Mini\????.res
    ECHO Daimonui 1280 Resolution >> 1280.res
    COPY /Y 1280.res ..\Mini\
    GOTO EndDefaults

:R1440
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1440.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd common
    COPY /Y SkinDefinition.tmp SkinDefinition.xml.1440
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1440.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd mini
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    DEL ????.res
    DEL ..\Mini\????.res
    ECHO Daimonui 1440 Resolution >> 1440.res
    COPY /Y 1440.res ..\Mini\
    GOTO EndDefaults

:R1600
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1600.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd common
    COPY /Y SkinDefinition.tmp SkinDefinition.xml.1600
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1600.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd mini
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    DEL ????.res
    DEL ..\Mini\????.res
    ECHO Daimonui 1600 Resolution >> 1600.res
    COPY /Y 1600.res ..\Mini\
    GOTO EndDefaults

:R1680
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1680.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd common
    COPY /Y SkinDefinition.tmp SkinDefinition.xml.1680
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1680.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd mini
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    DEL ????.res
    DEL ..\Mini\????.res
    ECHO Daimonui 1680 Resolution >> 1680.res
    COPY /Y 1680.res ..\Mini\
    GOTO EndDefaults

:R1920
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnui_1920.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd common
    COPY /Y SkinDefinition.tmp SkinDefinition.xml.1920
    COPY /Y SkinDefinition.tmp SkinDefinition.xml
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    TYPE xml\dmnuimini_1920.xml >> SkinDefinition.tmp
    CALL scripts\parser.cmd mini
    COPY /Y SkinDefinition.tmp ..\Mini\SkinDefinition.xml
    DEL SkinDefinition.tmp
    DEL ????.res
    DEL ..\Mini\????.res
    ECHO Daimonui 1920 Resolution >> 1920.res
    COPY /Y 1920.res ..\Mini\
    GOTO EndDefaults

:UNI
    DEL SkinDefinition.tmp
    CALL scripts\parser.cmd begin
    CALL scripts\parser.cmd uni
    COPY /Y SkinDefinition.tmp ..\Universal\SkinDefinition.xml
    DEL SkinDefinition.tmp
    GOTO EndDefaults

:EndDefaults
    SET RESOSET=%RESO%
    CALL scripts\getRESO.cmd
    CLS
    ECHO.&ECHO.
    ECHO    Resolution changed from %RESOSET% to %RESO% !
    ECHO.
    ECHO    Have fun playing The Lord of the Rings ONLINE
    ECHO    with DaimonUI3!
    ECHO.&ECHO.
    PAUSE
    GOTO MainMenu